Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression

    public class ConstantExpression
    extends Expression

Represents a constant expression such as null, true, false

Authors:
  James Strachan

Version:
  \$Revision: 16444 \$

Field Summary
`static ConstantExpression` | `EMPTY_EXPRESSION`
`static ConstantExpression` | `EMPTY_STRING`
`static ConstantExpression` | `FALSE`
`static ConstantExpression` | `NULL`
`static ConstantExpression` | `TRUE`
`static ConstantExpression` | `VOID`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`String` | `getConstantName()`
`String` | `getText()`
`Object` | `getValue()` @return the value of this constant expression
`boolean` | `isEmptyStringExpression()`
`boolean` | `isFalseExpression()`
`boolean` | `isNullExpression()`
`boolean` | `isTrueExpression()`
`void` | `setConstantName(String constantName)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_EXPRESSION

    public static final ConstantExpression EMPTY_EXPRESSION

### EMPTY_STRING

    public static final ConstantExpression EMPTY_STRING

### FALSE

    public static final ConstantExpression FALSE

### NULL

    public static final ConstantExpression NULL

### TRUE

    public static final ConstantExpression TRUE

### VOID

    public static final ConstantExpression VOID

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### getConstantName

    public String getConstantName()

### getText

    public String getText()

### getValue

    public Object getValue()

  Returns:
    the value of this constant expression

### isEmptyStringExpression

    public boolean isEmptyStringExpression()

### isFalseExpression

    public boolean isFalseExpression()

### isNullExpression

    public boolean isNullExpression()

### isTrueExpression

    public boolean isTrueExpression()

### setConstantName

    public void setConstantName(String constantName)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.